4

This question already has an answer here:

I reverted SUPEE-1533 as suggested successfully but when I try to patch SUPEE-8788, I get "Hunk #1 FAILED at 91" Please see the log below

sh PATCH_SUPEE-8788_CE_1.9.2.0_v2-2016-10-14-09-39-55.sh
Checking if patch can be applied/reverted successfully...
ERROR: Patch can't be applied/reverted successfully.
patching file app/code/core/Mage/Adminhtml/Block/Catalog/Product/Helper/Form/Gallery/Content.php
patching file app/code/core/Mage/Adminhtml/Block/Cms/Wysiwyg/Images/Content/Uploader.php
patching file app/code/core/Mage/Adminhtml/Block/Media/Uploader.php
patching file app/code/core/Mage/Adminhtml/Block/Urlrewrite/Category/Tree.php
patching file app/code/core/Mage/Adminhtml/Model/System/Config/Backend/Serialized.php
patching file app/code/core/Mage/Adminhtml/controllers/DashboardController.php
Hunk #1 FAILED at 91.
1 out of 1 hunk FAILED -- saving rejects to file app/code/core/Mage/Adminhtml/controllers/DashboardController.php.rej
patching file app/code/core/Mage/Adminhtml/controllers/IndexController.php
patching file app/code/core/Mage/Adminhtml/controllers/Media/UploaderController.php
patching file app/code/core/Mage/Catalog/Helper/Image.php
patching file app/code/core/Mage/Catalog/etc/config.xml
patching file app/code/core/Mage/Catalog/etc/system.xml
patching file app/code/core/Mage/Centinel/Model/Api.php
patching file app/code/core/Mage/Centinel/Model/Api/Client.php
patching file app/code/core/Mage/Core/Block/Abstract.php
patching file app/code/core/Mage/Core/Helper/Url.php
patching file app/code/core/Mage/Core/Model/Encryption.php
patching file app/code/core/Mage/Core/Model/Input/Filter/MaliciousCode.php
patching file app/code/core/Mage/Core/functions.php
patching file app/code/core/Mage/Customer/Block/Address/Book.php
patching file app/code/core/Mage/Customer/controllers/AddressController.php
patching file app/code/core/Mage/Dataflow/Model/Profile.php
patching file app/code/core/Mage/Downloadable/Block/Adminhtml/Catalog/Product/Edit/Tab/Downloadable/Links.php
patching file app/code/core/Mage/Downloadable/Block/Adminhtml/Catalog/Product/Edit/Tab/Downloadable/Samples.php
patching file app/code/core/Mage/Downloadable/Helper/File.php
patching file app/code/core/Mage/Oauth/Model/Server.php
patching file app/code/core/Mage/Paygate/Model/Authorizenet.php
patching file app/code/core/Mage/Payment/Block/Info/Checkmo.php
patching file app/code/core/Mage/Paypal/Model/Express/Checkout.php
patching file app/code/core/Mage/Paypal/Model/Resource/Payment/Transaction.php
patching file app/code/core/Mage/Sales/Model/Resource/Order/Payment.php
patching file app/code/core/Mage/Sales/Model/Resource/Order/Payment/Transaction.php
patching file app/code/core/Mage/Sales/Model/Resource/Quote/Payment.php
patching file app/code/core/Mage/Sales/Model/Resource/Recurring/Profile.php
patching file app/code/core/Mage/Uploader/Block/Abstract.php
patching file app/code/core/Mage/Uploader/Block/Multiple.php
patching file app/code/core/Mage/Uploader/Block/Single.php
patching file app/code/core/Mage/Uploader/Helper/Data.php
patching file app/code/core/Mage/Uploader/Helper/File.php
patching file app/code/core/Mage/Uploader/Model/Config/Abstract.php
patching file app/code/core/Mage/Uploader/Model/Config/Browsebutton.php
patching file app/code/core/Mage/Uploader/Model/Config/Misc.php
patching file app/code/core/Mage/Uploader/Model/Config/Uploader.php
patching file app/code/core/Mage/Uploader/etc/config.xml
patching file app/code/core/Mage/Uploader/etc/jstranslator.xml
patching file app/code/core/Mage/Usa/Model/Shipping/Carrier/Dhl.php
patching file app/code/core/Mage/Usa/Model/Shipping/Carrier/Dhl/International.php
patching file app/code/core/Mage/Usa/Model/Shipping/Carrier/Fedex.php
patching file app/code/core/Mage/Usa/Model/Shipping/Carrier/Ups.php
patching file app/code/core/Mage/Usa/etc/config.xml
patching file app/code/core/Mage/Usa/etc/system.xml
patching file app/code/core/Mage/Wishlist/Helper/Data.php
patching file app/code/core/Mage/Wishlist/controllers/IndexController.php
patching file app/code/core/Mage/XmlConnect/Block/Adminhtml/Mobile/Edit/Tab/Design.php
patching file app/code/core/Mage/XmlConnect/Block/Adminhtml/Mobile/Edit/Tab/Design/Images.php
patching file app/code/core/Mage/XmlConnect/controllers/Adminhtml/MobileController.php
patching file app/design/adminhtml/default/default/layout/cms.xml
patching file app/design/adminhtml/default/default/layout/main.xml
patching file app/design/adminhtml/default/default/layout/xmlconnect.xml
patching file app/design/adminhtml/default/default/template/catalog/product/helper/gallery.phtml
patching file app/design/adminhtml/default/default/template/cms/browser/content/uploader.phtml
patching file app/design/adminhtml/default/default/template/downloadable/product/edit/downloadable.phtml
patching file app/design/adminhtml/default/default/template/downloadable/product/edit/downloadable/links.phtml
patching file app/design/adminhtml/default/default/template/downloadable/product/edit/downloadable/samples.phtml
patching file app/design/adminhtml/default/default/template/media/uploader.phtml
patching file app/design/adminhtml/default/default/template/xmlconnect/edit/tab/design.phtml
patching file app/etc/modules/Mage_All.xml
can't find file to patch at input line 4703
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git app/locale/en_US/Mage_Media.csv app/locale/en_US/Mage_Media.csv
|index 110331b..504a44a 100644
|--- app/locale/en_US/Mage_Media.csv
|+++ app/locale/en_US/Mage_Media.csv
--------------------------
File to patch:
Skip this patch? [y]
Skipping patch.
1 out of 1 hunk ignored
patching file app/locale/en_US/Mage_Uploader.csv
patching file downloader/lib/Mage/HTTP/Client/Curl.php
patching file js/lib/uploader/flow.min.js
patching file js/lib/uploader/fusty-flow-factory.js
patching file js/lib/uploader/fusty-flow.js
patching file js/mage/adminhtml/product.js
patching file js/mage/adminhtml/uploader/instance.js
patching file lib/Unserialize/Parser.php
patching file lib/Unserialize/Reader/Arr.php
patching file lib/Unserialize/Reader/ArrValue.php
patching file lib/Unserialize/Reader/Null.php
patching file skin/adminhtml/default/default/boxes.css
patching file skin/adminhtml/default/default/media/flex.swf
patching file skin/adminhtml/default/default/media/uploader.swf
patching file skin/adminhtml/default/default/media/uploaderSingle.swf
Reversed (or previously applied) patch detected! Assume -R? [n]
Apply anyway? [n]
Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file skin/adminhtml/default/default/media/uploaderSingle.swf.rej
patching file skin/adminhtml/default/default/xmlconnect/boxes.css

marked as duplicate by Rakesh Jesadiya, Amit Bera, Qaisar Satti, brentwpeterson, Marius Oct 21 '16 at 6:27

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • I'm getting the same "Hunk #1 FAILED at 91" message. Also getting "Hunk #1 FAILED at 372". Will let you know if i get anywhere... – Daryl Gochnauer Oct 15 '16 at 20:42
  • @DarylGochnauer Thank you. I will let you know if I get anywhere as well – Tank Oct 15 '16 at 21:00
  • Do you have SUPEE-3941 installed? If not, here's a similar problem that got fixed once 3941 was applied first. magento.stackexchange.com/questions/140982/… – Daryl Gochnauer Oct 15 '16 at 21:06
  • @DarylGochnauer As far as I know yes. I didn't see it in my applied.patches.list so I tried to patch it and I had errors indicating it's already installed. I can post the log i got in my ssh. Thanks – Tank Oct 15 '16 at 22:34
  • @MagenX I didn't find the solution to my error on the link. Any other suggestions please – Tank Oct 16 '16 at 12:30
4

With version 2 of the patch you don't need to revert the previous patches anymore, that was one of the problems of version 1 that has been fixed.

Update: I only had looked at the diff between the patch versions and came to the wrong conclusion. After trying it out I can confirm that actually v2 works like this:

  • fixes the 3941 compatibility issue: patch now assumes that 3941 has been applied before
  • merges the changes from 1533, i.e. it assumes that that patch has not been applied yet but includes these changes now.

If version 2 fails with the DashboadController, you apparently did not successfully revert SUPEE-1533.

  • 1
    Hi, it makes sense to revert SUPEE 1533, but instruction ask to install SUPEE 3941, problem it's not available for 1.5 1.6, and 1.7 Magento versions. Without this SUPEE 3941 patch, people like myself that run 1.7 can't install SUPEE 8788. CURL.php error persists. – Icon Oct 16 '16 at 22:39
  • Thank you for your answer fschmengler. I never installed v1of the 8788 and I got "applied/reverted successfully" message when I reverted 1533. I was getting 3 errors before; – Tank Oct 16 '16 at 22:39
  • The errors I was getting before was patching file app/code/core/Mage/Adminhtml/controllers/DashboardController.php Hunk #1 FAILED at 91``patching file app/etc/modules/Mage_All.xml can't find file to patch at input line 4703 Perhaps you used the wrong -p or --strip option? as above and patching file skin/adminhtml/default/default/media/uploaderSingle.swf Reversed (or previously applied) patch detected! Assume -R? [n] but after I uploaded the patch onto the server in .zip and extracting it on the server then running the patch command, that got rid of the swf error, still got other errors – Tank Oct 16 '16 at 22:49
  • @fschmengler , Till i didnt install the version 1. can i directly install the version_2 ? and if we directly install the version_2, previous supee patches can be going to revert or no need to revert ?? please anyone – Crock Oct 17 '16 at 7:20
  • 1
    @Crock Version 2 is a replacement for version 1, not an update. So you have to install version 2 directly, but as stated above, you need to revert 1533 (all other previous patches must be applied) – Fabian Schmengler Oct 17 '16 at 7:36
2

8788 v2 wouldn't install after I had reversed patch 1533 (applied_patches.list showed 1533 as REVERTED).

So I re-installed patch 1533 and then 8788 managed to install successfully.

So seems to me that 1533 DOES need to be installed.

I'm on Magento CE 1.9.1.1

EDIT: I think that if you installed 8788 v1 then you have to revert 1533 before you can install 8788 v2. But if you never installed 8788 v1 then you have to install 1533 to be able to install 8788 v2.

  • If that's true, the patch is even more messed up than I thought: different requirements for different Magento versions... for 1.9.0.1 and 1.8.1.0 I needed to revert SUPEE-1533 – Fabian Schmengler Oct 17 '16 at 10:14
  • I am on Magento CE 1.9.2.0 and 8788 v2 wouldn't install for me either, even though "applied.patches.list" shows 1533 as REVERTED just like Ben. I will try and reinstall 1533 and try install 8788 v2 again then report my findings – Tank Oct 17 '16 at 10:33
  • @Tank Did you find anything? – Klettseb Oct 17 '16 at 11:31
  • Yes it looks like I'm getting somewhere. I installed 1533 and now that got rid of the "Hunk #1 FAILED at 91" patching file app/code/core/Mage/Adminhtml/controllers/DashboardController.php Now I have only got the last error patching file app/etc/modules/Mage_All.xml can't find file to patch at input line 4703 Perhaps you used the wrong -p or --strip option? The text leading up to this was: -------------------------- |diff --git app/locale/en_US/Mage_Media.csv app/locale/en_US/Mage_Media.csv |index 110331b..504a44a 100644..... as above and I do not have a clue how to approach. – Tank Oct 17 '16 at 20:47
  • patching file app/etc/modules/Mage_All.xml can't find file to patch at input line 4703 Perhaps you used the wrong -p or --strip option? I have just compare my app/etc/modules/Mage_All.xml on my server with a fresh Magento files and it matches but one thing I noticed is I do not have "Mage_Media.csv " (app/locale/en_US/Mage_Media.csv) on my server as there is on a fresh Magento installation file. Soes that mean I will have to copy the file app/locale/en_US/Mage_Media.csv onto my server for the patch to work? – Tank Oct 18 '16 at 1:25
0

If it helps, after rollback the SUPEE-1533, I had the same issue, I compared the code and realised it didn't work properly the roll back. I replaced the content of the file with the last one from the Magento releases and it worked nicely.

However in my case I don't any reason to blame 3941 so far.

I'm testing all again now... sigh...

  • Which files did you compare? Is it app/code/core/Mage/Adminhtml/controllers/DashboardController.php on the server and the patch? What about the app/etc/modules/Mage_All.xml. Thanks – Tank Oct 17 '16 at 0:21
  • Hi, there was a lot of tiles to compare, but I didn't have to compare those files on my case, probably you have them modified on your local. An easy way to check if the change was introduced by any other patch or your local, check your file app/etc/applied.patches.list and take a look to the list of modified files. – Matias Nombarasco Feb 22 '17 at 19:55
0

I have been figuring this out on a Magento 1.7.0.2 installation, trying to apply SUPEE-8788 version 2.

I had to revert SUPEE-1533 first (luckily I keep the applied patch files in my repository) to fix this:

checking file app/code/core/Mage/Adminhtml/controllers/DashboardController.php
Hunk #1 FAILED at 91.
1 out of 1 hunk FAILED

Then I had to apply SUPEE-3941 (only for 1.8-1.9, but still necessary on 1.7, see also https://magento.stackexchange.com/a/141026/3326) to fix this one:

checking file downloader/lib/Mage/HTTP/Client/Curl.php
Hunk #1 FAILED at 372.
1 out of 1 hunk FAILED

And then apply SUPEE-8788 v2. All successful now:

$ ./PATCH_SUPEE-1533_EE_1.12.x_v1-2015-02-10-08-19-16.sh -R
Checking if patch can be applied/reverted successfully...
Patch was applied/reverted successfully.
$ ./PATCH_SUPEE-3941_EE_1.14.0.1_v1-2015-02-10-08-32-02.sh 
Checking if patch can be applied/reverted successfully...
Patch was applied/reverted successfully.
$ ./PATCH_SUPEE-8788_CE_1.7.0.2_v2-2016-10-14-09-32-17.sh 
Checking if patch can be applied/reverted successfully...
Patch was applied/reverted successfully.
  • I managed to installed myine by copying a new Mage_Media.csv from a fresh Magento directory into my directory on my server. But now [magereport.com/scan/] can not read my Magento version "Outdated Magento version? unknown" as well as not been able to read that my Magento file is protected "Unprotected development files? unprotected" Also [magentary.com/magento-security-patch-tester/] reports 7405 not installed.? – Tank Oct 19 '16 at 20:56

Not the answer you're looking for? Browse other questions tagged or ask your own question.